@font-face {
	font-family: 'Jost';
	src: url('/fonts/Jost-Regular.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'Jost';
	src: url('/fonts/Jost-Medium.ttf') format('truetype');
	font-weight: 500;
	font-style: normal;
}

@font-face {
	font-family: 'Jost';
	src: url('/fonts/Jost-Bold.ttf') format('truetype');
	font-weight: 700;
	font-style: normal;
}

@font-face {
	font-family: 'Prata';
	src: url('/fonts/Prata-Regular.ttf') format('truetype');
	font-weight: normal;
	font-style: normal;
}

.moncompte {
	background-color: #33455C !important;
	border-radius: 20px !important;
}

.sticky-panel {
	position: sticky;
	top: 20px;
}

.facture-client {
	background-color: #D6B071 !important;
	border-radius: 20px !important;
}

.banque {
	background-color: #33455C !important;
	border-radius: 20px !important;
}

body .ui-dialog .ui-dialog-content {
	background-color: #FCF8E2 !important;
}

body .ui-dialog .ui-dialog-footer {
	background-color: #FCF8E2 !important;
}

.dashboard {
	position: relative;
	/* important pour que ::before soit positionn� correctement */
	flex-grow: 1;
	z-index: 1;
	overflow: visible !important;
	background-color: #33455C !important;
	border-radius: 20px !important;
	position: relative;
}

.dashboard::before {
	content: "";
	position: absolute;
	right: 10px;
	bottom: 10px;
	width: 500px;
	height: 500px;
	background-image: url('/images/logo.png');
	background-repeat: no-repeat;
	background-size: contain;
	opacity: 0.15;
	pointer-events: none;
}

.facture-fournisseur {
	background-color: #287CB2 !important;
	border-radius: 20px !important;
}

.charge {
	background-color: #92CAED !important;
	border-radius: 20px !important;
}

.vTop {
	vertical-align: top;
	padding: 0 0.5em;
	width: 33%;
}

.left {
	text-align: left;
	width: 100px;
}

.left-align {
	text-align: left;
}

.right {
	text-align: right;
}

.ui-datatable .ligne-payee {
	background-color: #AAFABF !important;
}

.ui-datatable .facture-absente {
	background-color: #E9E9E9 !important;
}

.ui-datatable .facture-absente:hover {
	background-color: #E0E0E0 !important;
}

.ui-datatable .ligne-payee:hover {
	background-color: #85D89B !important;
}

.ui-datatable .retard-moins-7 {
	background-color: #FFD59E !important;
	color: black;
}

.ui-datatable .retard-moins-7:hover {
	background-color: #EFB97C !important;
	color: black;
}

.ui-datatable .retard-7 {
	background-color: #EF9A9A !important;
	color: black;
}

.ui-datatable .retard-7:hover {
	background-color: #E07878 !important;
	color: black;
}

.ui-datatable .ligne {
	background-color: #FCF8E2 !important;
	color: black;
}

.ui-datatable .ligne:hover {
	background-color: #E3E3E3 !important;
	color: black;
}

.ui-autocomplete-input {
	width: 100% !important;
}

body {
	margin: 0;
	font-family: 'Jost';
	font-style: normal;
	font-weight: 600;
	line-height: 24px;
	font-size: 16px;
	color: black;
	height: 100%;
	display: flex;
	flex-direction: column;
	padding: 0;
}

.forgot-link:hover {
	color: #33455C !important;
}

.main-content {
	position: relative;
	/* important pour que ::before soit positionn� correctement */
	flex-grow: 1;
	z-index: 1;
	overflow: visible !important;
	/*overflow: hidden;*/
	/* �vite les d�bordements �ventuels */
	width: 100%;
}

.main-content::before {
	content: "";
	position: absolute;
	top: 0;
	bottom: 0px;
	right: 0px;
	width: 40%;
	height: 100%;
	background: url('/images/logo.png') no-repeat center;
	background-size: contain;
	opacity: 0.08;
	pointer-events: none;
	z-index: -1;
}

.ui-panelgrid .ui-panelgrid-header {
	padding: 0;
	text-align: left;
}

body .ui-datatable .ui-datatable-data>tr>td {
	padding: 0.2em 0.2em;
}

body .ui-datatable thead th {
	padding: 0.2em 0.2em;
}

body .ui-dialog {
	border-radius: 20px;
	background-color: white !important;
}

body .ui-card .ui-card-title {
	font-family: Jost;
	font-size: 1.2em;
	font-style: normal;
	font-weight: 500;
	line-height: 33.6px;
}

body .ui-card .ui-card-body {
	padding-left: 0;
	padding-right: 0;
}

body .ui-dialog .ui-dialog-titlebar {
	padding-left: 50px !important;
	padding-right: 50px !important;
	background-color: #33455C !important;
}

.ui-panel .ui-panel-titlebar {
	background-color: white !important;
	border: none !important;
	border-bottom: 1px solid rgba(0, 0, 0, 0.2) !important;
	padding: 0 !important;
}

.ui-panel .ui-panel-content {
	border: none !important;
	padding: 0 !important;
}

.width50 {
	width: 50%;
}

.custom-radio label {
	order: 2;
	/* Place le label après l'input */
	margin-left: 8px;
	/* Espace entre la case et le texte */
}

.ui-fileupload .ui-button .ui-icon {
	background-image: none !important;
}

.ui-fileupload .ui-button::before {
	font-family: "Font Awesome 6 Free";
	/* Utilise Font Awesome */
	content: "\f382";
	/* Icône FA (ex: cloud-upload-alt) */
	font-weight: 900;
	font-size: 16px;
	margin-right: 8px;
}

body .ui-tooltip .ui-tooltip-text {
	background: #FFF !important;
	color: black !important;
	border-radius: 20px !important;
	box-shadow: 0px 8px 8px 0px rgba(0, 0, 0, 0.10) !important;
	font-family: Jost;
	font-size: 15px;
	font-style: normal;
	font-weight: 400;
	line-height: 22.5px;
}

body .ui-tooltip.ui-tooltip-bottom .ui-tooltip-arrow {
	border-top-color: white !important;
}

.custom-radio .ui-radiobutton {
	order: 1;
}

.minitext {
	color: black;
	font-family: Jost;
	font-size: 16px;
	font-style: normal;
	font-weight: 500;
	line-height: 18px;
}

.page-container {
	display: flex;
	flex-direction: column;
	flex-grow: 1;
	min-height: 100vh;
}

footer {
	text-align: center;
	width: 100%;
	position: relative;
	z-index: 0;
	margin-top: 35px;
}

.ui-dialog {
	z-index: 9999 !important;
	/* Met le dialog au-dessus de tout */
}

body .ui-widget {
	font-family: 'Jost';
	font-style: normal;
	font-weight: 600;
	line-height: 24px !important;
	font-size: 16px;
	color: black;
}

body .ui-dialog .ui-dialog-titlebar .ui-dialog-titlebar-icon {
	font-size: 18px;
	background-color: #FEE9B0;
	color: black;
}

body .ui-dialog .ui-dialog-titlebar .ui-dialog-titlebar-icon:hover {
	font-size: 18px;
	background-color: #F2BE7C;
}

body .ui-dialog .ui-dialog-titlebar .ui-dialog-titlebar-icon:focus {
	background-color: #FEE9B0;
	box-shadow: none;
}

body .ui-dialog {
	font-family: 'Jost';
	font-style: normal;
	font-weight: 600;
	line-height: 24px;
	font-size: 16px;
	color: black;
}

body .ui-dialog .ui-dialog-content {
	color: black;
}

body .ui-dialog .ui-dialog-titlebar .ui-dialog-title {
	color: #FEE9B0 !important;
	font-family: Jost;
	font-size: 28px !important;
	font-style: normal;
	font-weight: 500 !important;
	line-height: 33.6px !important;
}

.ui-outputlabel .ui-outputlabel-rfi {
	color: #CB0D0D;
}

.ui-datatable-data td[role="gridcell"]:focus {
	outline-style: solid;
	outline-width: 1px;
}

body .ui-button.ui-state-focus {
	box-shadow: none;
}

.ui-datatable .ui-paginator .ui-paginator-pages {
	font-family: Jost !important;
	font-size: 11px !important;
	font-style: normal !important;
	font-weight: 500 !important;
	line-height: 18px !important;
	color: black !important;
	vertical-align: middle !important;
}

.ui-paginator-next, .ui-paginator-prev, .ui-paginator-first,
	.ui-paginator-last {
	font-family: Jost !important;
	font-size: 11px !important;
	font-style: normal !important;
	font-weight: 500 !important;
	line-height: 18px !important;
	color: black !important;
	vertical-align: middle !important;
	height: auto !important;
}

.ui-datatable .ui-paginator .ui-paginator-rpp-options {
	font-family: Jost !important;
	font-size: 11px !important;
	font-style: normal !important;
	font-weight: 500 !important;
	line-height: 18px !important;
	color: black !important;
}

body .ui-columntoggler .ui-columntoggler-items .ui-columntoggler-item label,
	body .ui-columntoggler .ui-columntoggler-items .ui-columntoggler-all label
	{
	font-family: Jost !important;
	font-size: 11px !important;
	font-style: normal !important;
	font-weight: 500 !important;
	line-height: 18px !important;
	color: black !important;
}

body .ui-inputfield.ui-state-focus {
	border-color: #FEE9B0;
	box-shadow: none;
}

body .ui-inputfield.ui-state-hover {
	border-color: #D6B071;
}

.ui-selectonemenu {
	border: 2px solid #FEE9B0 !important;
	/* Ajoute une bordure personnalisée */
	border-radius: 5px !important;
	/* Ajoute un rayon pour arrondir les bords */
}

.center {
	text-align: center;
}

.petit-text {
	color: black !important;
	font-family: Jost !important;
	font-size: 15px !important;
	font-style: normal !important;
	font-weight: 400 !important;
	line-height: 22.5px !important;
}

.align-left-icon {
	text-align: left;
	width: 50px;
}

.align-left-text {
	text-align: left;
	width: 100%;
}

body .ui-selectonemenu.ui-state-focus {
	box-shadow: none;
	border-color: #D6B071 !important;
}

.ui-selectonemenu-label {
	color: black;
	font-family: Jost;
	font-size: 14px;
	font-style: normal;
	font-weight: 300;
	line-height: normal;
}

/* Modifier l'apparence de la case cochée */
.ui-chkbox-box {
	display: flex !important;
	align-items: center !important;
	justify-content: center !important;
	background-color: white !important;
	border-radius: 5px !important;
	position: relative !important;
	border: 2px solid #FEE9B0 !important;
}

.mentions-legales {
	color: black !important;
	text-align: center !important;
	font-family: Jost !important;
	font-size: 11px !important;
	font-style: normal !important;
	font-weight: 500 !important;
	line-height: 18px !important;
	text-decoration-line: underline !important;
	text-decoration-style: solid !important;
	text-decoration-skip-ink: none !important;
	text-decoration-thickness: auto !important;
	text-underline-offset: auto !important;
	text-underline-position: from-font !important;
	opacity: 0.5;
}

.ui-fieldset .ui-fieldset-legend {
	background-color: #FCF8E2 !important;
}

.ui-chkbox-icon {
	font-size: 12px !important;
	line-height: 1 !important;
	display: flex !important;
	align-items: center !important;
	justify-content: center !important;
	position: relative !important;
	margin-left: 0 !important;
	margin-top: 0 !important;
	left: 0 !important;
	top: 0 !important;
}

.ui-chkbox-box.ui-state-active {
	background-color: #33455C !important;
	border-color: #FEE9B0 !important;
}

.ui-chkbox-box.ui-state-focus {
	box-shadow: 0 0 0 .2em rgba(254, 233, 176, 0.5) !important;
}

.ui-chkbox-box.ui-state-active .ui-chkbox-icon {
	color: #FEE9B0 !important;
	font-size: 11px !important;
}

.ui-chkbox-box:hover {
	border-color: #FCF8E2 !important;
}

.ui-datatable thead th, .ui-datatable tbody td, .ui-datatable tfoot td,
	.ui-datatable tfoot th {
	border: none;
}

.custom-datatable-dialog {
	overflow: hidden;
	background-color: #92CAED !important;
	border-radius: 20px;
}

.cashflow {
	text-align: center !important;
}

.ui-panelgrid.cashflow .ui-panelgrid-header {
	padding: 0;
	text-align: center;
}

.ui-panelgrid.cashflow .ui-panelgrid-footer {
	padding: 0;
	text-align: center;
}

body .ui-datatable.custom-datatable-dialog .ui-datatable-header {
	background-color: #92CAED;
	border: none;
}

body .ui-datatable.custom-datatable-dialog thead th {
	background-color: #92CAED;
	color: black;
	border: none;
}

body .ui-datatable.custom-datatable-dialog .ui-datatable-data>tr {
	background-color: #92CAED;
	border: none;
}

.custom-datatable {
	overflow: hidden;
	background-color: #FCF8E2 !important;
}

.ui-datatable table {
	background-color: #FCF8E2;
}

.customPanelGrid {
	display: flex;
	align-items: center;
	/* Alignement vertical */
}

body .ui-panelgrid .ui-panelgrid-cell {
	padding: 0;
}

body .ui-datatable .ui-datatable-header {
	background-color: #FCF8E2;
}

body .ui-datatable thead th {
	background-color: #FCF8E2;
	color: black;
}

body .ui-datatable .ui-datatable-data>tr {
	background-color: #FCF8E2;
}

.vl {
	border-left: 1px solid black;
	height: 265px;
	margin-bottom: 42px
}

@media ( max-width : 768px) {
	/* Cacher l'élément en dessous de 768px (tablettes et mobiles) */
	.vl {
		display: none !important;
	}
}

.btn-with-svg::before {
	content: "";
	display: inline-block;
	width: 16px;
	height: 16px;
	background-image:
		url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" viewBox="0 0 40 40" fill="none"><path d="M20.2402 38.75C30.7336 38.75 39.2402 30.2434 39.2402 19.75C39.2402 9.25659 30.7336 0.75 20.2402 0.75C9.74682 0.75 1.24023 9.25659 1.24023 19.75C1.24023 30.2434 9.74682 38.75 20.2402 38.75Z" stroke="white"/></svg>');
	background-size: contain;
	background-repeat: no-repeat;
	margin-right: 8px;
	vertical-align: middle;
}

.link {
	font-family: Jost;
	font-size: 16px;
	font-style: normal;
	font-weight: 600;
	line-height: 28.5px;
	color: #005C87;
}

.active-menu {
	text-decoration: underline;
	text-underline-offset: 0.5rem;
	text-decoration-color: #33455C;
	text-decoration-thickness: 2px;
}

body .ui-menu.ui-menubar {
	background-color: #33455C;
	border-color: #33455C;
	border-radius: 0;
}

.ui-menu .ui-menuitem-link {
	font-size: 1.2rem;
}

body .ui-menu .ui-menu-list .ui-menuitem .ui-menuitem-link.ui-state-hover
	{
	background: #FEE9B0;
	color: #33455C;
}

body .ui-menu .ui-menu-list .ui-menuitem.ui-menuitem-active>.ui-menuitem-link .ui-menuitem-text
	{
	color: #33455C;
}

body .ui-menu .ui-menu-list .ui-menuitem.ui-menuitem-active>.ui-menuitem-link .ui-menu-item-icon,
	body .ui-menu .ui-menu-list .ui-menuitem.ui-menuitem-active>.ui-menuitem-link .ui-icon
	{
	color: #FEE9B0;
}

body .ui-menu .ui-menu-list .ui-menuitem .ui-menuitem-link .ui-menuitem-icon
	{
	font-size: 0.875rem;
}

body .ui-menu .ui-menu-list .ui-menuitem .ui-menuitem-link .ui-menuitem-icon
	{
	color: #FEE9B0;
}

body .ui-menu .ui-menu-list .ui-menuitem .ui-menuitem-link .ui-menuitem-text
	{
	color: #FEE9B0;
}

body .ui-panelgrid .ui-panelgrid-cell {
	background-color: transparent;
}

body .ui-menubar .ui-menu-child {
	background: #33455C !important;
	border: 1px solid #33455C !important;
}

.label {
	width: 30%;
}

.label1 {
	width: 40%;
}

.label80 {
	width: 80%;
}

.label80 {
	width: 60%;
}

.input {
	width: 70%;
}

.input1 {
	width: 60%;
}

.input20 {
	width: 20%;
}

.content {
	width: 80%;
	vertical-align: top;
}

#content {
	text-align: center;
}

body .ui-datatable.ui-datatable-striped .ui-datatable-data>tr.ui-datatable-odd
	{
	background: #FFDC9E;
	cursor: pointer;
}

body .ui-datatable.ui-datatable-striped .ui-datatable-data>tr.ui-datatable-odd.ui-state-hover
	{
	background: #DCBA80;
	cursor: pointer;
}

body .ui-datatable .ui-datatable-data>tr {
	cursor: pointer;
}

body .ui-datatable .ui-datatable-data>tr.ui-state-hover {
	background: #E3E3E3;
	cursor: pointer;
}

body .ui-datatable.ui-datatable-striped .ui-datatable-data>tr.ui-state-highlight
	{
	background: #E3E3E3;
	cursor: pointer;
}

body .ui-datatable.ui-datatable-striped .ui-datatable-data>tr.ui-datatable-odd.ui-state-highlight
	{
	background: #DCBA80;
	cursor: pointer;
}

body .ui-button.ui-button-text-icon-left .ui-button-text {
	margin-left: 10px
}

.heading1 {
	font-family: Jost;
	font-size: 2em;
	font-style: normal;
	font-weight: 700;
	line-height: 130%;
	color: black;
}

.heading2 {
	font-size: 1.5em;
	font-weight: 600;
	line-height: 48px;
	color: black;
}

.heading3 {
	font-family: Jost !important;
	font-size: 1.2em !important;
	font-style: normal !important;
	font-weight: 500 !important;
	line-height: 33.6px !important;
	color: black;
}

.heading4 {
	font-family: Jost;
	font-size: 20px;
	font-style: normal;
	font-weight: 800;
	line-height: normal;
	color: black;
}

.bigtext {
	font-family: Jost;
	font-size: 19px;
	font-style: normal;
	font-weight: 700;
	line-height: 28.5px;
}

.ui-datatable thead th {
	color: black;
	font-family: Jost;
	font-size: 14px;
	font-style: normal;
	font-weight: 500;
	line-height: 20px;
}

.tabletext {
	font-family: Jost !important;
	font-size: 1rem !important;
	font-style: normal !important;
	font-weight: normal !important;
	line-height: 18px !important;
}

.bigtabletext {
	font-family: Jost !important;
	font-size: 1.2rem !important;
	font-style: normal !important;
	font-weight: 600 !important;
	line-height: 18px !important;
}

body .ui-inputfield {
	justify-content: center;
	border-radius: 10px;
	border: 2px solid #FEE9B0;
	background: white;
	color: #33455c;
}

.tablebutton {
	border-radius: 6px !important;
}

.ui-card-custom {
	border-radius: 20px;
	background-color: white;
}

body .ui-button:hover {
	background: #FE9305;
}

.ui-main-button {
	background: #287CB2 !important;
	color: #FEE9B0 !important;
	border: none !important;
}

.ui-dialog-cancel-button {
	background: #D6B071 !important;
	color: black !important;
	border: none !important;
}

.ui-dialog-ok-button {
	background: #287CB2 !important;
	color: #FEE9B0 !important;
	border: none !important;
}

.ui-login-button {
	background: #33455C !important;
	color: #FEE9B0 !important;
	border: none !important;
	border-radius: 20px !important;
	padding: 10px 50px 10px 50px;
}

.ui-navmois-button {
	background: #287CB2 !important;
	color: white !important;
	border: none !important;
}

.ui-addannee-button {
	background: #D6B071 !important;
	color: white !important;
	border: none !important;
}

.ui-table-button {
	background: #FEE9B0 !important;
	border: none !important;
}

.ui-main-button:hover {
	background: #F2BE7C !important;
	border: none !important;
}

.ui-picklist.ui-picklist-responsive .ui-picklist-buttons button {
	color: white !important;
	border: none !important;
}

.ui-picklist.ui-picklist-responsive .ui-picklist-buttons button:hover {
	background: #F2BE7C !important;
	border: none !important;
}

.ui-cancel-button {
	background: #F1E7E0 !important;
	border: none !important;
}

.ui-cancel-button:hover {
	background: #F2BE7C !important;
	border: none !important;
}

body .ui-datatable thead th .ui-column-title {
	font-size: 1rem;
}

body .ui-datatable thead th .ui-sortable-column-icon.ui-icon-carat-2-n-s:before
	{
	font-size: 1rem;
}

.ui-filter-column .ui-column-customfilter .ui-custom-filter {
	width: 100%;
	box-sizing: border-box;
	padding-top: 0;
	padding-bottom: 0;
	font-size: 1rem !important;
}

.ui-custom-filter .ui-selectonemenu-label {
	font-size: 1rem;
}

.ui-custom-filter .ui-selectonemenu-item {
	font-size: 1rem;
}

body .custom-dropdown-filter .ui-selectonemenu-item {
	font-size: 1rem;
}

.ui-datatable .ui-column-filter {
	padding-top: 0;
	padding-bottom: 0;
	font-size: 1rem;
}

body .ui-button.ui-button-text-icon-left .ui-icon {
	left: 1rem;
}

div.ui-menu {
	margin-bottom: 0.5em;
	display: flex;
	justify-content: space-between;
	height: 70px;
}

body .ui-menu .ui-menu-list .ui-menuitem .ui-menuitem-link .ui-icon-triangle-1-s:last-child
	{
	color: #FEE9B0 !important;
}

div.ui-menu ul.ui-menu-list {
	display: flex;
	gap: 20px;
	padding: 0;
	margin: 0;
	align-items: center;
	width: 100%;
}

div.ui-menu ul.ui-menu-list .ui-menuitem.ui-menubar-end {
	margin-left: auto;
}

div.ui-menu ul.ui-menu-list li.ui-menuitem a.ui-menuitem-link {
	padding: 1.50rem 1rem;
}

div.ui-panel div.ui-panel-content {
	border-radius: 4px;
}

div fieldset.ui-fieldset {
	box-shadow: 2px 4px 3px 1px rgba(0, 0, 0, 0.21);
}

div fieldset.ui-fieldset legend.ui-fieldset-legend {
	box-shadow: 2px 4px 3px 1px rgba(0, 0, 0, 0.21);
}

/* Cache le bouton radio natif et donne une apparence de checkbox */
.ui-radiobutton-box {
	width: 18px !important;
	height: 18px !important;
	border-radius: 4px !important;
	/* Pour des bords arrondis */
	background-color: white !important;
	display: flex;
	align-items: center;
	justify-content: center;
	transition: all 0.3s ease-in-out;
}

/* Effet au survol */
.ui-radiobutton-box:hover {
	border-color: #ABCACE !important;
}

/* Style spécifique quand la case est cochée */
.ui-radiobutton-box.ui-state-active {
	
}

/* Ajoute une coche similaire à un checkbox */
.ui-radiobutton-box.ui-state-active::after {
	content: "\2713";
	/* Unicode de la coche ✓ */
	font-size: 14px;
	color: white;
	font-weight: bold;
}

body .ui-radiobutton .ui-radiobutton-box.ui-state-active .ui-icon-bullet
	{
	background: none;
}

.hero {
	display: flex;
	align-items: center;
	justify-content: space-between;
	padding: 50px;
}

.hero-text {
	max-width: 50%;
	line-height: 1.2;
}

.hero-text h2 {
	font-size: 2.5em;
}

.hero-text p {
	font-size: 1.2em;
}

.cta-btn {
	padding: 15px 30px;
	border: none;
	border-radius: 5px;
	text-decoration: none;
	font-size: 1em;
}

.features {
	display: flex;
	justify-content: space-around;
	padding: 40px;
	background: #F1E7E0;
}

.feature {
	max-width: 200px;
	text-align: center;
}